import request from '@/assets/js/utils/request'

// 提交或更新专家评标专业

export function submitOrUpdateExptExpertEvaluationSpecia(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEvaluationSpecialController/submitOrUpdateExptExpertEvaluationSpecial',
    method: 'post',
    data
  })
}

// 根据专家用户id获取评标专业
export function getExpertEvaluationSpecialById(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEvaluationSpecialController/getExpertEvaluationSpecialById',
    method: 'post',
    data
  })
}

// 删除专家评标专业
export function deleteExptExpertEvaluationSpecial(id) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertEvaluationSpecialController/deleteExptExpertEvaluationSpecial?id=' + id,
    method: 'post'
  })
}

// 根据父级id查到下级
export function queryExpertSepcialLisByUserId(parentId) {
  return request({
    url: '/bidprocurement/expertscloud-expert/common/expertPurcatalogCategorySpecial/queryExpertSepcialLisByUserId?parentId=' + parentId,
    method: 'post'
  })
}

